/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */

.flex-wrap > div {
	flex-wrap: wrap;
}

.sticky-column {
  position: sticky;
  top: 120px; /* Ajusta según la altura de tu header */
  align-self: flex-start;
}

.single-content p {
	margin-bottom: 20px;
}

ul li::marker {
  color: var(--global-palette1);
}

/* EFECTOS */

.sticky-section {
  position: -webkit-sticky;
  position: sticky;
  top: 70px;
  /*z-index: 1;*/
}

.overlap-section {
  position: relative;
  z-index: 2;
}

/* fade con sticky content */
.fade-text {
  opacity: 1;
  transition: opacity 0.5s ease-out;
}

.translate-text {
  transition: transform 0.5s ease-out;
  transform: translateY(0);
}

.fade-text.oculto {
  opacity: 0;
}

.fade-text-2 {
  transition: opacity 0.2s ease-out, transform 0.2s ease-out;
}

.fade-on-scroll {
  opacity: 1;
  transition: opacity 0.5s ease-out, transform 0.5s ease-out;
  transform: translateY(0);
}

.fade-on-scroll.oculto {
  opacity: 0;
  transform: translateY(-20px);
}

/* parallax */

.parallax-section, .parallax-section-2 {
    transition: none !important; /* Elimina cualquier animación en el fondo */
}

/* zoom */

.zoom-bg-container {
	transition: background-size 0.2s linear;
}

.background-zoom-hover {
  background-size: 100%;
  /*background-position: center;*/
  /*background-repeat: no-repeat;*/
  transition: background-size 0.8s ease;
}

.background-zoom-hover:hover {
  background-size: 105%;
}

/* mover arriba */

.move-up {
  transition: transform 0.3s ease;
}

.move-up:hover {
  transform: translateY(-15px);
}

/* HEADER */

#main-header .site-container {
	max-width: 100%;
	padding: 0 60px 0 0;
}

#masthead .kadence-sticky-header.item-is-fixed:not(.item-at-start) > .site-header-row-container-inner, .transparent-header .site-main-header-wrap .site-header-row-container-inner {
	transition: all .3s ease-out;
    -webkit-transition: all .3s ease-out;
    -moz-transition: all .3s ease-out;
    -o-transition: all .3s ease-out;
}
/*
.item-is-stuck .site-branding img{
    max-height: 48px!important;
    transition: all .3s ease-out;
    -webkit-transition: all .3s ease-out;
    -moz-transition: all .3s ease-out;
    -o-transition: all .3s ease-out;
}
*/
.header-navigation ul li.menu-item>a {
    -webkit-transform: translate3d(0,0,0);
    -moz-transform: translate3d(0,0,0);
    -ms-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}

#main-header .site-header-row {
    grid-template-columns: 200px auto;
}

.site-header-main-section-left .site-header-item {
	background: var(--global-palette2);
	justify-content: flex-end;
}

#main-header .site-header-section>.site-header-item:last-child {
	width: 100%;
}

#main-header #primary-menu {
	display: grid;
	grid-template-columns: repeat(8, 1fr);
	width: 100%;
	gap: 20px;
	align-items: flex-start;
	margin-top: 20px;
}

#main-header #primary-menu a {
	text-align: center;
}

#primary-menu .wp-menu-img > a {
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
}

#primary-menu .wp-menu-img img {
    margin-bottom: 8px;
    margin-right: 0px;
    height: 30px;
    object-fit: contain;
    max-width: 50px;
    filter: grayscale(100);
}

#primary-menu .wp-menu-img a:hover img, #primary-menu .current-menu-item a img {
	filter: grayscale(0);
}


/* HOME */


.premium-carousel-dots-below ul.slick-dots {
	margin-top: -40px;
}

.premium-carousel-wrapper a.carousel-arrow, .premium-carousel-wrapper a.ver-carousel-arrow {
	z-index: 3;
}


/* PAGINAS */
.elementor-heading-title {
	margin: 0!important;
}

.elementor-heading-title i {
	font-size: 87%;
}

.elementor-widget-text-editor a {
	text-decoration: revert;
}

.elementor-counter .elementor-counter-number-prefix {
	display: none;
}

.elementor-counter .elementor-counter-title {
	text-align: left!important;
}



/* CONTACT FORM 7 */

input[type="text"], input[type="email"], input[type="tel"], textarea, select {
	margin-bottom: 12px;
    width: 100%;
    padding: 8px 10px;
    border: none;
    border-bottom: 1px solid #727272;
    border-radius: 0;
    background: none;
}

input[type="submit"] {
	border-radius: 0;
}

/*
.wpcf7-form a {
	text-decoration: underline!important;
}
*/
.wpcf7-list-item {
	margin-left: 0;
}

.wpcf7-spinner {
	display: none!important;
}

.wpcf7 a {
	text-decoration:underline;
}

.wpcf7 .wpcf7-submit {
	background: #806d85;
	border-color: #806d85;
	color: #fff;
}

.modal-title {
	font-size: 27px;
    font-weight: 700;
}

/* BLOG */

.search-form .kadence-search-icon-wrap {
	color: var(--global-palette5);
}

.sidebar .widget-title {
	font-weight: 700;
    font-size: 22px;
    color: var(--global-palette1);
}

.wp-site-blocks .post-thumbnail img {
    height: auto;
    max-height: 700px;
    width: auto;
    margin: 0 auto;
}

.post-title .entry-taxonomies {
	margin-top: 20px;
}

.wp-block-media-text:not(.has-media-on-the-right) .wp-block-media-text__content {
	padding-right: 0;
}

.wp-block-media-text.has-media-on-the-right .wp-block-media-text__content {
	padding-left: 0;
}

.entry-related-inner-content {
	padding-left: 0;
	padding-right: 0;
}

.entry-related .loop-entry .entry-content-wrap {
	padding: 15px 10px;
	background: #f3f3f3;
}

.entry-related .loop-entry .entry-header {
	margin-bottom: 0;
}

.entry-related .loop-entry .entry-header .entry-title {
	font-weight: 700;
	font-size: 17px;
	color: var(--global-palette4);
	line-height: 1.2em;
}

/* FOOTER */

.joinchat__button {
	background: var(--global-palette1) var(--joinchat-ico) 50%/60% no-repeat!important;
}

#colophon {
	z-index: 1;
	position: relative;
}

#colophon::before {
    content: "";
    position: absolute;
    inset: 0;
    background-image: url(https://globoteando.com/wp-content/uploads/2025/05/GLOBOS-DEL-FOOTER-trans.png);
    background-repeat: no-repeat;
    background-position: center bottom; /* Alineado a la parte inferior */
    background-size: cover;
    opacity: 0.1; /* Ajusta la transparencia aquí */
    z-index: -1;
    pointer-events: none;
}

/*
#colophon i {
	font-size: 22px;
    margin-right: 5px;
    vertical-align: middle;
}
*/
.site-footer-top-section-1 .footer-widget-area[data-section="sidebar-widgets-footer1"] .footer-widget-area-inner {
	display: flex;
	justify-content: space-around;
}

.footer-widget-area a.social-button {
	width: auto;
	height: auto;
	padding: 8px;
}

ul.flechas {
	list-style: none;
	padding-left: 10px;
}

.site-bottom-footer-inner-wrap {
    padding-top: 15px;
}

.site-top-footer-inner-wrap .widget_nav_menu a {
	padding: 0;
}

.site-middle-footer-inner-wrap .footer-widget-area-inner {
    display: flex;
    justify-content: center;
}

.site-middle-footer-inner-wrap .footer-widget-area-inner img {
    max-height: 65px;
    width: auto;
    margin-left: 10px!important;
    margin-right: 10px!important;
}

/* COOKIES */

#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme {
    background-color: rgba(0,0,0,0.8)!important;
    border-top: none!important;
    z-index: 10000000000;
}

#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content p, #moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content p a {
	color: #fff!important;
	font-weight: 300!important;
}

#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content button.mgbutton {
	font-weight: 600!important;
	padding: 6px 24px!important;
	border: 1px solid #e3e3e3;
}

#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content button.mgbutton.moove-gdpr-infobar-settings-btn {
	color: #fff!important;
}

#moove_gdpr_cookie_info_bar .moove-gdpr-infobar-close-btn {
    line-height: 18px!important;
    width: 32px!important;
    height: 32px!important;
}

#moove_gdpr_cookie_modal .moove-gdpr-modal-content {
	transform: scale(.9);
}

/* RESPONSIVE */


@media screen and (max-width:1400px) {
	#main-header .site-container {
		padding: 0 0 0 0;
	}
	
	#main-header .site-header-row {
	    grid-template-columns: 130px auto;
	}
}

@media screen and (max-width:1024px) {
	#mobile-menu .wp-menu-img img {
		margin: 0 auto 5px;
	    height: 30px;
	    object-fit: contain;
	    max-width: 50px;
	    display: block;
	}

	#primary-menu .wp-menu-img a:hover img, #primary-menu .current-menu-item a img {
		filter: grayscale(0);
	}

	.elementor-element[data-settings*="background_background":"classic"]:before {
		background-attachment: fixed !important;
	}
	
	.fondo-fixed, .fondo-fixed:before {
		background-attachment: fixed !important;
	}
	
	#colophon {
		text-align: center;
	}
	
	.site-footer .widget_media_image img {
		max-width: 288px!important;
		margin-left: auto;
		margin-right: auto;
	}
	
}

@media screen and (max-width:680px) {
	.site-middle-footer-inner-wrap .footer-widget-area-inner {
	    flex-direction: column;
		align-items: center;
	}
}

@media screen and (max-width:520px) {
	.footer-widget-area-inner .widget_sow-features {
		max-width: 260px;
	}
    
    .footer-widget-area-inner .widget_sow-features .sow-features-feature {
		display: flex!important;
	}
}

@media screen and (max-width:450px) {
	.site-footer-top-section-1 .footer-widget-area[data-section="sidebar-widgets-footer1"] .footer-widget-area-inner {
	    flex-direction: column;
		align-items: center;
	}
}
